package game.biome;

import game.init.Blocks;
import game.rng.Random;
import game.rng.WeightedList;
import game.world.BlockPos;
import game.world.WorldServer;
import game.worldgen.FeatureOres;

public class BiomeMoon extends Biome {
	private FeatureOres cheeseGenerator = new FeatureOres(Blocks.moon_cheese.getState(), 8, 8, 12, 24, 52, false);

	public BiomeMoon(int id) {
		super(id);
		this.topBlock = Blocks.moon_rock.getState();
		this.fillerBlock = Blocks.moon_rock.getState();
	}
    
    protected void addMobs(WeightedList<RngSpawn> mobs) {
    }

	public void decorate(WorldServer worldIn, Random rand, BlockPos pos) {
		this.cheeseGenerator.generate(worldIn, rand, pos);
	}
}
