package game.block;

import game.init.Blocks;
import game.init.ItemRegistry;
import game.item.CheatTab;
import game.item.Item;
import game.material.Material;
import game.rng.Random;
import game.world.State;

public class BlockBlackenedStone extends Block {
	public BlockBlackenedStone() {
		super(Material.rock);
		this.setTab(CheatTab.tabNature);
	}

	public Item getItemDropped(State state, Random rand, int fortune) {
		return ItemRegistry.getItemFromBlock(Blocks.blackened_cobble);
	}
}
