package game.entity.npc;

import game.item.ItemStack;

public class NpcInfo {
	public final Enum type;
	public final String name;
	public final String skin;
	public final String cape;
	public final Alignment align;
	public final float height;
	public final ItemStack[] items;
	
	public NpcInfo(Enum type, String name, String skin, String cape, Alignment align, float height, ItemStack ... items) {
		this.type = type;
		this.name = name;
		this.skin = skin;
		this.cape = cape;
		this.align = align;
		this.height = height;
		this.items = items;
	}
}
